Chromium Code Reviews
Help | Chromium Project | Sign in
(85)

Issue 2766463002: DLL Export AXPlatformNodeWin. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week ago by dougt
Modified:
4 days, 3 hours ago
Reviewers:
cpu, dmazzoni, ananta, scottmg
CC:
chromium-reviews, aboxhall+watch_chromium.org, nektar+watch_chromium.org, yuzo+watch_chromium.org, je_julie, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DLL Export AXPlatformNodeWin. In order to use ui::AXPlatformNodeWin from content, we must dll export these classes. BUG=703369 Review-Url: https://codereview.chromium.org/2766463002 Cr-Commit-Position: refs/heads/master@{#459376} Committed: https://chromium.googlesource.com/chromium/src/+/8abfeeb28cc7c6a4fb2bfeca1da3dc82d13ea24b

Patch Set 1 #

Patch Set 2 : updated lnk + ws #

Patch Set 3 : use NON_EXPORTED_BASE macro \./ #

Total comments: 2

Patch Set 4 : Use NON_EXPORTED_BASE #

Messages

Total messages: 25 (14 generated)
dougt
1 week ago (2017-03-20 23:50:25 UTC) #4
nektarios
Better link to the very latest docs instead of to 2005. https://msdn.microsoft.com/en-us/library/3tdb471s(v=vs.140).aspx
6 days, 17 hours ago (2017-03-21 16:27:35 UTC) #9
nektarios
I am wondering if it would be better to just AX_EXPORT a template instantiation of ...
6 days, 17 hours ago (2017-03-21 16:45:52 UTC) #10
dmazzoni
lgtm, but I was previously unfamiliar with this warning. @cpu or @ananta, could either of ...
6 days, 17 hours ago (2017-03-21 16:50:02 UTC) #12
cpu
hmm, I would typically ask rvargas@ but he is gone. There is trickiness exporting classes ...
5 days, 9 hours ago (2017-03-23 00:54:41 UTC) #13
scottmg
We have a macro for this, see NON_EXPORTED_BASE. Please use that instead of disabling the ...
5 days, 8 hours ago (2017-03-23 01:16:14 UTC) #15
dougt
On 2017/03/23 01:16:14, scottmg wrote: > We have a macro for this, see NON_EXPORTED_BASE. Please ...
5 days, 6 hours ago (2017-03-23 03:53:15 UTC) #16
scottmg
lgtm with that https://codereview.chromium.org/2766463002/diff/40001/ui/accessibility/platform/ax_platform_node_win.h File ui/accessibility/platform/ax_platform_node_win.h (right): https://codereview.chromium.org/2766463002/diff/40001/ui/accessibility/platform/ax_platform_node_win.h#newcode12 ui/accessibility/platform/ax_platform_node_win.h:12: #include "base/observer_list.h" #include "base/compiler_specific.h"
5 days, 5 hours ago (2017-03-23 05:00:10 UTC) #18
dougt
https://codereview.chromium.org/2766463002/diff/40001/ui/accessibility/platform/ax_platform_node_win.h File ui/accessibility/platform/ax_platform_node_win.h (right): https://codereview.chromium.org/2766463002/diff/40001/ui/accessibility/platform/ax_platform_node_win.h#newcode12 ui/accessibility/platform/ax_platform_node_win.h:12: #include "base/observer_list.h" On 2017/03/23 05:00:10, scottmg wrote: > #include ...
4 days, 19 hours ago (2017-03-23 14:22:40 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2766463002/60001
4 days, 4 hours ago (2017-03-24 06:03:15 UTC) #22
commit-bot: I haz the power
4 days, 3 hours ago (2017-03-24 06:47:37 UTC) #25
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/8abfeeb28cc7c6a4fb2bfeca1da3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46